Package org.apache.solr.client.solrj.request.beans

## Class RateLimiterPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.RateLimiterPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

    public class RateLimiterPayload
    extends Object
    implements ReflectMapWriter

POJO for Rate Limiter Metadata Configuration

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`Integer` `allowedRequests`
`Boolean` `enabled`
`Integer` `guaranteedSlots`
`Integer` `slotAcquisitionTimeoutInMS`
`Boolean` `slotBorrowingEnabled`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`RateLimiterPayload()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RateLimiterPayload` `copy()`
`boolean` `equals​(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### enabled

    public Boolean enabled

#### guaranteedSlots

    public Integer guaranteedSlots

#### allowedRequests

    public Integer allowedRequests

#### slotBorrowingEnabled

    public Boolean slotBorrowingEnabled

#### slotAcquisitionTimeoutInMS

    public Integer slotAcquisitionTimeoutInMS

### Constructor Detail

#### RateLimiterPayload

    public RateLimiterPayload()

### Method Detail

#### copy

    public RateLimiterPayload copy()

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`